Synopsis:
   on [<modes>]window_beforekill [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered just before a window is killed.  It is permissible
   to query any data you want about the window, but it is NOT PERMISSIBLE to
   try to change anything about the window, particularly its visibility.  If
   you try to change the window, you may crash the client.  Use /DEFER to be
   on the safe side.

   This hook represents your last chance to save data about a window before
   everything about that window's history is permanently erased.

Parameters:
   $0    The window that is about to be nixed.

See Also:
   window(4) kill

